summaryrefslogtreecommitdiff
path: root/data/pluma-bugreport.sh.in
diff options
context:
space:
mode:
authorPerberos <[email protected]>2011-11-07 19:52:18 -0300
committerPerberos <[email protected]>2011-11-07 19:52:18 -0300
commit5ded9cba8563f336939400303d6a841d5089b107 (patch)
treec5676588cff26ba37e12369fe4de24b54e9f6682 /data/pluma-bugreport.sh.in
parentf00b3a11a199f9f85a4d46a600f9d14179b37dbf (diff)
downloadpluma-5ded9cba8563f336939400303d6a841d5089b107.tar.bz2
pluma-5ded9cba8563f336939400303d6a841d5089b107.tar.xz
renaming from gedit to pluma
Diffstat (limited to 'data/pluma-bugreport.sh.in')
-rwxr-xr-xdata/pluma-bugreport.sh.in73
1 files changed, 73 insertions, 0 deletions
diff --git a/data/pluma-bugreport.sh.in b/data/pluma-bugreport.sh.in
new file mode 100755
index 00000000..d59d7969
--- /dev/null
+++ b/data/pluma-bugreport.sh.in
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+ENABLE_PYTHON=@enable_python@
+
+PKG_CONFIG_MODULES="glib-2.0 gtk+-2.0 gtksourceview-2.0 \
+ pygobject-2.0 pygtk-2.0 \
+ pygtksourceview-2.0 enchant iso-codes"
+
+echo_padded ()
+{
+ echo -n " - $1 "
+ N=$(echo -n $1 | wc -m)
+ while test $N -le 20
+ do
+ echo -n " "
+ N=`expr $N + 1`
+ done
+}
+
+#if (which mateconftool-2 >/dev/null)
+#then
+# echo "MateConf configuration dump:"
+# mateconftool-2 --dump /apps/pluma-2 | grep -Ev "</?(entry|mateconfentryfile|entrylist|value|schema_key)" | cut -c4-
+# echo
+#fi
+
+echo "Active plugins:"
+mateconftool-2 --get /apps/pluma-2/plugins/active-plugins \
+ | sed -r -e 's/^\[(.*)\]$/\1/' -e 's/,/\n/g' \
+ | sed -e 's/^.*$/ - \0/'
+echo
+
+# Manually installed plugins (in $HOME)
+if [ -d $HOME/.mate2/pluma/plugins ]
+then
+ echo "Plugins in \$HOME:"
+ ls $HOME/.mate2/pluma/plugins/*.pluma-plugin \
+ | sed -r -e 's#.*/([^/]*)\.pluma-plugin$# - \1#'
+else
+ echo "No plugin installed in \$HOME."
+fi
+echo
+
+echo "Module versions:"
+if (which pkg-config > /dev/null)
+then
+ for i in $PKG_CONFIG_MODULES
+ do
+ echo_padded "`echo -n $i | sed -r -e 's/^(.*)-[0-9]\.[0-9]$/\1/'`"
+ pkg-config --modversion $i 2>/dev/null || echo
+ done
+else
+ echo " pkg-config unavailable"
+fi
+echo
+
+echo "Python module versions:"
+if test "$ENABLE_PYTHON" = "yes"
+then
+ echo_padded "python"
+ python -V 2>&1 | cut -c8-
+
+ echo_padded "pygtk"
+ python -c "import gtk, sys; \
+ sys.stdout.write('%d.%d.%d ' % gtk.pygtk_version); \
+ sys.stdout.write('(GTK+ %d.%d.%d)' % gtk.gtk_version)" \
+ 2>/dev/null
+ echo
+else
+ echo " Python support was not enabled at compile time."
+fi
+echo
+